Bug 1083514 - tooltips should not go beyond the screen
Summary: tooltips should not go beyond the screen
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2014-04-02 11:38 UTC by David Juran
Modified: 2016-11-11 15:01 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-11 15:01:11 UTC


Attachments (Terms of Use)
screenshot (77.91 KB, image/jpeg)
2014-04-02 11:38 UTC, David Juran
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 754716 None None None 2016-11-11 15:01 UTC

Description David Juran 2014-04-02 11:38:13 UTC
Created attachment 881737 [details]
screenshot

Description of problem:
Tooltips should not extend outside the screen, see attached screenshots.

Version-Release number of selected component (if applicable):
libreoffice-4.2.2.1-8.fc20

Comment 1 Caolan McNamara 2014-04-02 12:27:39 UTC
Its not doing that here, its carefully right aligned to the screen. Is that a dual-head setup ?

Comment 2 David Juran 2014-04-03 14:44:30 UTC
I initially noticed this on a dual-head setup where I had LibreOffice maximized on one screen and then the tool-tip spilled over onto the other screen. Which didn't look good at all.
 But curiously enough, the screenshot I took was from a single screen where it does looks good most of the time. My laptop had previously been connected to a beamer some time earlier though, so it's possible the single-head case is related to the dual-head one.

Comment 3 Fedora End Of Life 2015-05-29 11:26:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 19:50:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 David Juran 2015-12-06 19:21:21 UTC
Still an issue in libreoffice-5.0.3.2-11.fc23.x86_64 on F23.
To clarify, this can probably only be seen on a dual-head setup. If you put impress on the left screen, the tool-tip will extend over to the right screen.

Comment 6 Caolan McNamara 2016-06-01 13:34:53 UTC
I have high hopes that with F24 and the new gtk3 vclplug with native gtk3 tooltips that this sort of stuff "just works" now.

Comment 7 Christian Stadelmann 2016-06-05 16:43:25 UTC
With F24, libreoffice-5.1.3.2-7.fc24.x86_64 on gtk3-3.20.6-1.fc24.x86_64, this issue is gone for running LibreOffice with x11 Gdk backend.

When running LibreOffice with wayland Gdk backend, this issue is still present.

Comment 8 Caolan McNamara 2016-11-11 15:01:11 UTC
with our gtk3 backend we now just tell gtk where the thing that needs a tooltip is and let gtk place the tooltip however gtk pleases, so LibreOffice is mostly out of the loop with respect to positioning.

gtk is positioning the tooltip nicely to stay inside the monitor under X as hoped for. However under wayland we're then suffering from https://bugzilla.gnome.org/show_bug.cgi?id=754716 which is a new phenomenon related to wayland.

The original problem specific to LibreOffice is solved, so I'm going to close this as fixed, but a problem just like it exists under wayland for all gtk3-using applications, but that's out of my hands


Note You need to log in before you can comment on or make changes to this bug.